# ESP Button Bridge

A esp8266 button to toggle other esp8266 GPIO while it still enables the other device to receive http commands. Designed to control a tasmotta flashed device.


[Plan](https://ruahine.com:8888/sessions/jv5e7ktghunfb4m3wtag7dbnsw23rz4mlcyssms6)


## References
 - [ESP8266 dual mode](https://siytek.com/esp8266-ap-and-station-mode/) with instructions for network configuration.
- [SOFTAP - GETTING A LIST OF CONNECTED CLIENTS](https://www.esp8266.com/viewtopic.php?t=5669#) @ esp8255 community forum
``` c
unsigned char softap_stations_cnt;
struct station_info *stat_info;
struct ip_addr *IPaddress;
uint32 uintaddress;

  softap_stations_cnt = wifi_softap_get_station_num(); // Count of stations which are connected to ESP8266 soft-AP
  stat_info = wifi_softap_get_station_info();
  Serial.write(softap_stations_cnt);
  while (stat_info != NULL) {
    IPaddress = &stat_info->ip;
    uintaddress = IPaddress->addr;
    Serial.write((uintaddress>>24));
    stat_info = STAILQ_NEXT(stat_info, next);
  }
```